%global __strip %{mingw_strip}
%global __objdump %{mingw_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{mingw_findrequires}
%global __find_provides %{mingw_findprovides}
%define __debug_install_post %{mingw_debug_install_post}

%global mingw_pkg_name libffi
%global mingw_build_win32 1
%global mingw_build_win64 1

Name:		mingw-libffi
Version:	3.0.10rc8
Release:	1%{?dist}
Summary:	A portable foreign function interface library for MinGW

Group:		System Environment/Libraries
License:	BSD
URL:		http://sourceware.org/libffi
Source0:	ftp://sourceware.org/pub/libffi/libffi-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch

BuildRequires:  mingw-filesystem >= 65
BuildRequires:	mingw32-gcc
BuildRequires:	mingw64-gcc
BuildRequires:	mingw32-binutils
BuildRequires:	mingw64-binutils

%{?mingw_default_requires}
%{?mingw_debug_package}

%description
Foreign function interface library for MinGW.

# Mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw32-%{mingw_pkg_name}
Foreign function interface library for MinGW.

# Mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw64-%{mingw_pkg_name}
Foreign function interface library for MinGW.

%prep
%setup -q -n libffi-%{version}

%build
%mingw_configure "--disable-static" "--enable-shared"
%mingw_make %{?_smp_mflags} LDFLAGS='-no-undefined'

%install
rm -rf $RPM_BUILD_ROOT
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{mingw32_infodir}
rm -rf $RPM_BUILD_ROOT%{mingw64_infodir}
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}

%clean
rm -rf $RPM_BUILD_ROOT


# Mingw32
%files -n mingw32-%{mingw_pkg_name}
%defattr(-,root,root,-)
%doc LICENSE README
%{mingw32_bindir}/libffi-6.dll
%{mingw32_libdir}/libffi.dll.a
%{mingw32_libdir}/libffi.la
%{mingw32_libdir}/pkgconfig/*.pc
%{mingw32_libdir}/libffi-%{version}

# Mingw64
%files -n mingw64-%{mingw_pkg_name}
%defattr(-,root,root,-)
%doc LICENSE README
%{mingw64_bindir}/libffi-6.dll
%{mingw64_libdir}/libffi.dll.a
%{mingw64_libdir}/libffi.la
%{mingw64_libdir}/pkgconfig/*.pc
%{mingw64_libdir}/libffi-%{version}


%changelog
* Mon May 30 2011 Marc-André Lureau <marcandre.lureau@redhat.com> - 3.0.10rc8-1
- Updated to 3.0.10rc8 to fix mingw64 build
- Updated to newer mingw instructions (with mingw64 support)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Oct 9 2010 Paolo Bonzini <pbonzini@redhat.com> - 3.0.9-1
- Created.
